Bug 224452 - Patch: Add SMTPUTF8 as port option for mail/sendmail
Summary: Patch: Add SMTPUTF8 as port option for mail/sendmail
Status: Closed Feedback Timeout
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dirk Meyer
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-12-19 11:49 UTC by arnt
Modified: 2020-04-16 20:34 UTC (History)
3 users (show)

See Also:
dinoex: maintainer-feedback+


Attachments
Ports tree patch to add this support to Sendmail. (19.45 KB, text/plain)
2017-12-19 11:49 UTC, arnt
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description arnt 2017-12-19 11:49:30 UTC
Created attachment 188955 [details]
Ports tree patch to add this support to Sendmail.

Hi,

RFC6530 and friends define use of UTF8 for email addresses. Postfix and Gmail have supported it for three years now, Exim has supported it for two, etc.

This adds a port option to Sendmail, sponsored by CNNIC.

Anyone curious about the extensions may read http://rant.gulbrandsen.priv.no/eai/one-minute-guide
Comment 1 commit-hook freebsd_committer 2017-12-31 16:43:25 UTC
A commit references this bug:

Author: feld
Date: Sun Dec 31 16:42:39 UTC 2017
New revision: 457706
URL: https://svnweb.freebsd.org/changeset/ports/457706

Log:
  mail/sendmail: Add port option for SMTPUTF8 support, enabled by default.

  Postfix has had support for quite some time, compiled in by default
  http://www.postfix.org/SMTPUTF8_README.html

  Exim has support but it's not a default build option
  http://www.exim.org/exim-html-current/doc/html/spec_html/ch-internationalisation.html

  Sendmail had no support until Arnt produced this patch.

  As far as commercial access to SMTPUTF8 email goes:

  GMail has support for SMTPUTF8 for 3 years
  Outlook.com will have support shortly

  The world is moving forward with SMPTUTF8 and if it does not get wider
  distribution it will restrict the ability to self-host email as the only
  solution to send and receive email from these users will be to use a
  commercial cloud-hosted email platform.

  This patch is a no-op unless you are sending mail that requires the
  SMTPUTF8 extension. If you are running a Sendmail server and you did not
  have this patch you would have received errors and the messages would
  have been undeliverable.

  More info: http://rant.gulbrandsen.priv.no/eai/one-minute-guide

  PR:		224452
  Reviewed by:	Gregory Shapiro, Claus Assmann (private mails from Arnt)
  Obtained from:	Arnt Gulbrandsen
  Sponsored by:	CNNIC

Changes:
  head/mail/sendmail/Makefile
  head/mail/sendmail/files/extrapatch-smtputf8
  head/mail/sendmail/files/site.config.m4.smtputf8
Comment 2 commit-hook freebsd_committer 2018-01-02 21:48:56 UTC
A commit references this bug:

Author: dinoex
Date: Tue Jan  2 21:48:35 UTC 2018
New revision: 457930
URL: https://svnweb.freebsd.org/changeset/ports/457930

Log:
  - fix regression introduced by r457706
  PR: 224452

  - add option BLACKLISTD
  https://reviews.freebsd.org/D13475

Changes:
  head/mail/sendmail/Makefile
  head/mail/sendmail/files/extrapatch-smtputf8
  head/mail/sendmail/files/patch-Makefile.m4
  head/mail/sendmail/files/patch-blacklist.c
  head/mail/sendmail/files/patch-blacklist_client.h
  head/mail/sendmail/files/patch-daemon.c
  head/mail/sendmail/files/patch-main.c
  head/mail/sendmail/files/patch-readcf.c
  head/mail/sendmail/files/patch-sendmail.8
  head/mail/sendmail/files/patch-sendmail.h
  head/mail/sendmail/files/patch-srvrsmtp.c
  head/mail/sendmail/files/patch-usersmtp.c
  head/mail/sendmail/files/site.config.m4.smtputf8
  head/mail/sendmail/files/smtputf8.patch
Comment 3 commit-hook freebsd_committer 2018-01-02 22:13:19 UTC
A commit references this bug:

Author: feld
Date: Tue Jan  2 22:12:15 UTC 2018
New revision: 457931
URL: https://svnweb.freebsd.org/changeset/ports/457931

Log:
  MFH: r457930

  - fix regression introduced by r457706
  PR: 224452

  - add option BLACKLISTD
  https://reviews.freebsd.org/D13475

Changes:
_U  branches/2018Q1/
  branches/2018Q1/mail/sendmail/Makefile
  branches/2018Q1/mail/sendmail/files/extrapatch-smtputf8
  branches/2018Q1/mail/sendmail/files/patch-Makefile.m4
  branches/2018Q1/mail/sendmail/files/patch-blacklist.c
  branches/2018Q1/mail/sendmail/files/patch-blacklist_client.h
  branches/2018Q1/mail/sendmail/files/patch-daemon.c
  branches/2018Q1/mail/sendmail/files/patch-main.c
  branches/2018Q1/mail/sendmail/files/patch-readcf.c
  branches/2018Q1/mail/sendmail/files/patch-sendmail.8
  branches/2018Q1/mail/sendmail/files/patch-sendmail.h
  branches/2018Q1/mail/sendmail/files/patch-srvrsmtp.c
  branches/2018Q1/mail/sendmail/files/patch-usersmtp.c
  branches/2018Q1/mail/sendmail/files/site.config.m4.smtputf8
  branches/2018Q1/mail/sendmail/files/smtputf8.patch
Comment 4 antonfb 2018-01-15 03:57:09 UTC
This is a complaint that this work is incomplete.
The change does not change mail.local to support SMTPUTF8 and consequently mail received via this for local delivery fails.

   ----- Transcript of session follows -----
550 5.6.7 XXXXXX... local does not support SMTPUTF8
501 5.6.0 Data format error

I've had to rebuild the port with this option disabled.
Comment 5 Mark Felder freebsd_committer 2018-01-17 17:00:18 UTC
Investigating this report of an issue with mail.local needing an update(?)
Comment 6 Dirk Meyer freebsd_committer 2018-01-27 11:05:22 UTC
I confirm the regression:

bzgrep 'Data format error' /var/log/maillog*
relay=local, dsn=5.6.7, stat=Data format error
Comment 7 commit-hook freebsd_committer 2018-01-27 11:09:36 UTC
A commit references this bug:

Author: dinoex
Date: Sat Jan 27 11:09:23 UTC 2018
New revision: 460104
URL: https://svnweb.freebsd.org/changeset/ports/460104

Log:
  - disable option SMTPUTF8 as default
  it causes lost mail and backscatter with local delivery.
  PR:		224452
  MFH:		2018Q1

Changes:
  head/mail/sendmail/Makefile
Comment 8 commit-hook freebsd_committer 2018-01-27 16:54:30 UTC
A commit references this bug:

Author: dinoex
Date: Sat Jan 27 16:53:26 UTC 2018
New revision: 460130
URL: https://svnweb.freebsd.org/changeset/ports/460130

Log:
  MFH: r460104

  - disable option SMTPUTF8 as default
  it causes lost mail and backscatter with local delivery.
  PR:		224452

  Approved by:	portmgr (Steve Wills)

Changes:
_U  branches/2018Q1/
  branches/2018Q1/mail/sendmail/Makefile
Comment 9 Dirk Meyer freebsd_committer 2019-04-29 10:10:33 UTC
Is there any updated patch that fixes mail.local  and LMTP too?